Subject: Re: bug#64783: biber not in $PATH with texlive only

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 09 Aug 2023 18:32:41 +0200

Hello,

Julian Flake <[email-masked]> writes:

> according to your suggestion it would be sufficient to have "texlive"
> to have "all of texlive". Unfortunately, with "texlive" only, I don't
> have "biber" on my $PATH.

By default, TeX Live does not provide "biber" executable, only its
sources (the same is also true, e.g., for Asymptote).

> Therefore I used to have "texlive-bibeer" in addition to "texlive" in
> my system configuration, which resulted in having "biber" on my $PATH
> in the past. Recently, my system reconfiguration fails with
> "texlive" + "texlive-biber". guix system recofigure succeeds with
> "texlive" + "texlive-biber" + "texlive-bin". I have the impression
> that this shouldn't be the way to go.
>
> This is the failure (of building texlive-font-maps) during system
> reconfiguration with "texlive" + "texlive-biber" but without
> "texlive-bin":
>
> $ zcat
> /var/log/guix/drvs/ki/wcw72gaag3yx84hl9vhkk3mdh2ny15-texlive-font-maps.drv.gz
> Backtrace:
>           3 (primitive-load
>           "/gnu/store/jrfjhxwfgsnazg7apkgcasqfrcq?")
> In ice-9/eval.scm:
>    619:8  2 (_ #f)
> In ice-9/boot-9.scm:
>    140:2  1 (dynamic-wind #<procedure 7ffff77dcba0 at
>    ice-9/eval.s?> ?)
> In unknown file:
>           0 (chdir "/tmp/texlive/share/texmf-dist")
>
> ERROR: In procedure chdir:
> In procedure chdir: No such file or directory

This should now be fixed. I'll let you close the bug if you can confirm
this.

Regards,
-- 
Nicolas Goaziou